Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ibm-jre-bin / ibm-jdk-bin defunct? or just crappy? [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
qleak
n00b
n00b


Joined: 17 Jun 2005
Posts: 67

PostPosted: Thu Mar 23, 2006 6:07 am    Post subject: ibm-jre-bin / ibm-jdk-bin defunct? or just crappy? [solved] Reply with quote

I'm just about ready to give up on this. I've come to the conclusion that either

1) ibm-JRE/JDK is defunct on my system

or

2) ibm-JRE/JDK doesn't have the feature set i need :-(

I have the following installed:

* dev-java/ibm-jdk-bin
Installed: 1.4.2.03
* dev-java/ibm-jre-bin
Installed: 1.4.2.04

Anyway.. I'm interested in using the following apps:

http://www.geogebra.at/download/install.htm
http://edge.cs.drexel.edu/GICL/people/sevy/airport/index.html#Configurator

Are these actually runable with these JVM ? or are there a bunch of Sun only options??

I currently get a bunch of very verbose, but not so clear messages when I try.. I can post some if desired. I am also intersted in seeing if anyone else with working ppc JRE can run these things.


Last edited by qleak on Thu Mar 23, 2006 6:58 am; edited 1 time in total
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Thu Mar 23, 2006 6:26 am    Post subject: Reply with quote

Can you paste in the errors?

The airport configurator starts just fine here (I can't actually test it though).
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
qleak
n00b
n00b


Joined: 17 Jun 2005
Posts: 67

PostPosted: Thu Mar 23, 2006 6:47 am    Post subject: errors Reply with quote

I'm glad to hear that It may just be that my JRE is defunct. here are some of the error messages:

Code:

$ java -version
java version "1.4.2"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
Classic VM (build 1.4.2, J2RE 1.4.2 IBM build cxppc32142-20050929 (SR3) (JIT enabled: jitc))

$ java -jar Airport2BaseStationConfig.jar
Exception in thread "main" java.lang.ExceptionInInitializerError
        at sun.awt.X11GraphicsEnvironment.initDisplay(Native Method)
        at sun.awt.X11GraphicsEnvironment.<clinit>(X11GraphicsEnvironment.java:175)
        at java.lang.Class.forName1(Native Method)
        at java.lang.Class.forName(Class.java:180)
        at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(GraphicsEnvironment.java:91)
        at java.awt.Window.init(Window.java:268)
        at java.awt.Window.<init>(Window.java:312)
        at java.awt.Frame.<init>(Frame.java:431)
        at java.awt.Frame.<init>(Frame.java:396)
        at javax.swing.JFrame.<init>(JFrame.java:185)
        at AirportBaseStationConfigurator.<init>(AirportBaseStationConfigurator.java:82)
        at AirportBaseStationConfigurator.main(AirportBaseStationConfigurator.java:1215)
Caused by: java.lang.NullPointerException
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:2171)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:2006)
        at java.lang.Runtime.loadLibrary0(Runtime.java:824)
        at java.lang.System.loadLibrary(System.java:910)
        at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:76)
        at java.security.AccessController.doPrivileged1(Native Method)
        at java.security.AccessController.doPrivileged(AccessController.java:287)
        at sun.awt.font.NativeFontWrapper.<clinit>(NativeFontWrapper.java:68)
        ... 12 more


hmm.. this second one.. and actually trying to do a local install of ibm-jre-1.5 have led me to install virtual/libstdc++
still compiling though:

Code:

/opt/ibm-jre-bin-1.4.2.04/jre/bin/java Airport2BaseStationConfig.jar
Exception in thread "main" java.lang.UnsatisfiedLinkError: /opt/ibm-jre-bin-1.4.2.04/jre/bin/libfontmanager.so: libstdc++.so.5: cannot open shared object file: No such file or directory
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:2144)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:2004)
        at java.lang.Runtime.loadLibrary0(Runtime.java:824)
        at java.lang.System.loadLibrary(System.java:910)
        at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:76)
        at java.security.AccessController.doPrivileged1(Native Method)
        at java.security.AccessController.doPrivileged(AccessController.java:287)
        at sun.awt.font.NativeFontWrapper.<clinit>(NativeFontWrapper.java:68)
        at sun.awt.X11GraphicsEnvironment.initDisplay(Native Method)
        at sun.awt.X11GraphicsEnvironment.<clinit>(X11GraphicsEnvironment.java:175)
        at java.lang.Class.forName1(Native Method)
        at java.lang.Class.forName(Class.java:180)
        at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(GraphicsEnvironment.java:91)
        at java.awt.Window.init(Window.java:268)
        at java.awt.Window.<init>(Window.java:312)
        at java.awt.Frame.<init>(Frame.java:431)
        at java.awt.Frame.<init>(Frame.java:396)
        at javax.swing.JFrame.<init>(JFrame.java:185)
        at AirportBaseStationConfigurator.<init>(AirportBaseStationConfigurator.java:82)
        at AirportBaseStationConfigurator.main(AirportBaseStationConfigurator.java:1215)


I also get the following when i select the 1.4.2.4 JRE

Code:

 # java-config -S ibm-jre-bin-1.4.2.04
javac not found at /opt/ibm-jre-bin-1.4.2.04/bin/javac or /opt/ibm-jre-bin-1.4.2.04/jre/bin/javac
javadoc not found at /opt/ibm-jre-bin-1.4.2.04/bin/javadoc or /opt/ibm-jre-bin-1.4.2.04/jre/bin/javadoc
jar not found at /opt/ibm-jre-bin-1.4.2.04/bin/jar or /opt/ibm-jre-bin-1.4.2.04/jre/bin/jar
rmic not found at /opt/ibm-jre-bin-1.4.2.04/bin/rmic or /opt/ibm-jre-bin-1.4.2.04/jre/bin/rmic
THIS SYSTEM VM IS NOT SUFFICIENT, REQUIRED BINARIES WERE NOT FOUND
Back to top
View user's profile Send private message
qleak
n00b
n00b


Joined: 17 Jun 2005
Posts: 67

PostPosted: Thu Mar 23, 2006 6:57 am    Post subject: Reply with quote

I guess my GNU Standard C++ Library was newer than the binary

emerge libstdc++

has done the trick.. Thanks JoseJX for confirming that the configurer worked.. now if only it would actually work with the base-station. :-?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum